Debian Bug report logs - #704906
ITP: emscripten -- An LLVM-to-JavaScript Compiler

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Sylvestre Ledru <sylvestre@debian.org>

Date: Sun, 7 Apr 2013 14:00:02 UTC

Owned by: Sylvestre Ledru <sylvestre@debian.org>

Severity: wishlist

Fixed in version emscripten/1.4.1~20130504~adb56cb-1

Done: Sylvestre Ledru <sylvestre@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#704906; Package wnpp. (Sun, 07 Apr 2013 14:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 07 Apr 2013 14:00:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: emscripten -- An LLVM-to-JavaScript Compiler
Date: Sun, 07 Apr 2013 15:56:34 +0200
Package: wnpp
Severity: wishlist
Owner: Sylvestre Ledru <sylvestre@debian.org>

* Package name    : emscripten
  Version         : git
  Upstream Author : Alon Zakai <alonzakai@gmail.com>
* URL             : http://emscripten.org
* License         : MIT license and the University of Illinois/NCSA Open Source License
  Programming Lang: JS & co
  Description     : An LLVM-to-JavaScript Compiler

Emscripten is an LLVM to JavaScript compiler. It takes LLVM bitcode (which can be generated from C/C++ using Clang, or any other language that can be converted into LLVM bitcode) and compiles that into JavaScript, which can be run on the web (or anywhere else JavaScript can run).

Using Emscripten, you can

 *   Compile C and C++ code into JavaScript and run that on the web
 *   Run code in languages like Python as well, by compiling CPython from C to JavaScript and interpreting code in that on the web



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 02 May 2013 20:06:04 GMT) Full text and rfc822 format available.

Reply sent to Sylvestre Ledru <sylvestre@debian.org>:
You have taken responsibility. (Wed, 29 May 2013 10:03:17 GMT) Full text and rfc822 format available.

Notification sent to Sylvestre Ledru <sylvestre@debian.org>:
Bug acknowledged by developer. (Wed, 29 May 2013 10:03:17 GMT) Full text and rfc822 format available.

Message #12 received at 704906-close@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: 704906-close@bugs.debian.org
Subject: Bug#704906: fixed in emscripten 1.4.1~20130504~adb56cb-1
Date: Wed, 29 May 2013 10:00:31 +0000
Source: emscripten
Source-Version: 1.4.1~20130504~adb56cb-1

We believe that the bug you reported is fixed in the latest version of
emscripten, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 704906@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sylvestre Ledru <sylvestre@debian.org> (supplier of updated emscripten package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 02 May 2013 13:11:51 +0200
Source: emscripten
Binary: emscripten emscripten-doc
Architecture: source amd64 all
Version: 1.4.1~20130504~adb56cb-1
Distribution: unstable
Urgency: low
Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
Changed-By: Sylvestre Ledru <sylvestre@debian.org>
Description: 
 emscripten - LLVM-to-JavaScript Compiler
 emscripten-doc - LLVM-to-JavaScript Compiler
Closes: 704906
Changes: 
 emscripten (1.4.1~20130504~adb56cb-1) unstable; urgency=low
 .
   * Initial release (Closes: #704906)
Checksums-Sha1: 
 2c485edbeab1952ac5bf584bb451fbfb9a36d9e8 1475 emscripten_1.4.1~20130504~adb56cb-1.dsc
 20501a8d1856779c15d4b6308ba7e2162fc345d2 28461586 emscripten_1.4.1~20130504~adb56cb.orig.tar.bz2
 c3c22519b7a050ebeb91c82dcba1578412de2b79 107015 emscripten_1.4.1~20130504~adb56cb-1.debian.tar.gz
 1f8297e5d10709787561eaeea36c9bdd2afb30de 25184852 emscripten_1.4.1~20130504~adb56cb-1_amd64.deb
 e932d94a31b96fc0e23c67d8b5bd12b9ff5a1e58 8019204 emscripten-doc_1.4.1~20130504~adb56cb-1_all.deb
Checksums-Sha256: 
 25acc262a3f3eda3e6b51d7eb62e54c99368e7fff11ea319ce87f5ca1b951758 1475 emscripten_1.4.1~20130504~adb56cb-1.dsc
 55daf347547b56aa548fde9db0ba7a7b95715d2af5e6b79b9db8a516908f7160 28461586 emscripten_1.4.1~20130504~adb56cb.orig.tar.bz2
 a958c0fd316d1adcecd9843095de0c6252d1001e10a49a5872958029b8272e53 107015 emscripten_1.4.1~20130504~adb56cb-1.debian.tar.gz
 72c16bce00316ab278c029891cfaa5c94b2a1e083406d789aafbe04bcd85360f 25184852 emscripten_1.4.1~20130504~adb56cb-1_amd64.deb
 7e763a3543d73c514af16e6eb6dd22741609ee4ecfa84c20aafb9a5b983df1b3 8019204 emscripten-doc_1.4.1~20130504~adb56cb-1_all.deb
Files: 
 044f699820cd174e4d01d71db8255cdf 1475 devel extra emscripten_1.4.1~20130504~adb56cb-1.dsc
 4d8dbe2bfaa12e3c9b5ae0001b0f4013 28461586 devel extra emscripten_1.4.1~20130504~adb56cb.orig.tar.bz2
 908fa911b569ec1d9eb2617e3666bf8a 107015 devel extra emscripten_1.4.1~20130504~adb56cb-1.debian.tar.gz
 0eb8edf569274c2f31d0cbb7934fb2ef 25184852 devel extra emscripten_1.4.1~20130504~adb56cb-1_amd64.deb
 15e325c21614d971e258621d32fe364f 8019204 doc extra emscripten-doc_1.4.1~20130504~adb56cb-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlGFKFIACgkQiOXXM92JlhBTlACg6Vo2YcvYy9/GHQ6+45VMUfAK
p/8AoNasp5KqV/GF2ceH+W58Cno0J3zO
=5LF1
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Jun 2013 07:25:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:21:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.